* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html {
    font-size: 62.5%;
}
body {
    font-family: 'Montserrat', sans-serif;
    background-size: cover;
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
    background: url(imagen.jpg);
    background-size: cover;
    background-attachment: fixed;
}

nav ul {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}
nav a {
    color: white;
    text-decoration: none;
    font-weight: bolder;
    font-size: 1.2rem;
    width: 50%;
    text-align: center;
    padding: 1rem 0;
}

a img {
    display: none;
}
header {
    width: 100%;
    height: auto;
    padding: 3.2rem 2rem;
}
header > img {
    display: block;
    max-width: 100%;
    max-height: 100%;
    height: auto;
    margin: 2rem auto;
}

h1 > span {
    display: none;
}

@media screen and (min-width: 580px) {
    h1 > span {
        display: inline-block;
    }
    .container{
        display: flex;
    }
    .designer {
        height: 150px;
        background-position: center;
        background-size: contain;
        background-repeat: no-repeat;
        position: relative;
    }
    nav {
        width: 150px;
    }
    /*color al rectangulo vertical*/
    nav ul {
        position: fixed;
        display: block;
        width: 95px;
        top: 0;
        bottom: 0;
        background-color: rgb(37, 37, 37);
    }
    /*color a las letras*/
    nav a {
        display: block;
        width: 100%;
        padding: 2rem 0;
        font-size: 1.2rem;
        color: #fff;
        font-weight:100;
    }
   
    nav a:hover  {
        background-color: rgb(0, 128, 0);/*color a los 3 cuadros con cursor*/
        color: #fff;/*Color a las letras con cursor*/
    }
    a img {
        display: block;
        margin: 10px auto;
        width: 4rem;
    }
}
